Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

glide get can not detect vcs from package gopkg.in/yaml.v2 #449

Open
bruceauyeung opened this issue May 30, 2016 · 18 comments

Comments

@bruceauyeung
Copy link

commented May 30, 2016

glide : 0.10.2

glide get gopkg.in/yaml.v2
[INFO] Preparing to install 1 package.
[INFO] Importing gopkg.in/yaml.v2
[INFO] Downloading dependencies. Please wait...
[INFO] Fetching updates for github.com/gin-gonic/gin.
[INFO] Fetching updates for gopkg.in/yaml.v2.
[INFO] Fetching updates for github.com/nicksnyder/go-i18n.
[WARN] Unable to checkout gopkg.in/yaml.v2
[ERROR] Update failed for gopkg.in/yaml.v2: Cannot detect VCS
......
Cannot detect VCS

@oleksandr-minakov

This comment has been minimized.

Copy link

commented May 30, 2016

@redhatlinux10
For me it works as expected (glide 0.10.2)

$ glide get gopkg.in/yaml.v2

[INFO] Preparing to install 1 package.
[INFO] Importing gopkg.in/yaml.v2
[INFO] Downloading dependencies. Please wait...
[INFO] Fetching updates for github.com/spf13/viper.
[INFO] Fetching updates for github.com/gorilla/mux.
[INFO] Fetching updates for github.com/boltdb/bolt.
[INFO] Fetching updates for github.com/spf13/cobra.
[INFO] Fetching updates for gopkg.in/yaml.v2.
[INFO] Resolving imports
[INFO] Fetching updates for golang.org/x/sys.
[INFO] Fetching updates for github.com/gorilla/context.
[INFO] Fetching updates for github.com/inconshreveable/mousetrap.
[INFO] Fetching updates for github.com/spf13/pflag.
[INFO] Fetching updates for github.com/BurntSushi/toml.
[INFO] Fetching updates for github.com/fsnotify/fsnotify.
[INFO] Fetching updates for github.com/hashicorp/hcl.
[INFO] Fetching updates for github.com/magiconair/properties.
[INFO] Fetching updates for github.com/mitchellh/mapstructure.
[INFO] Fetching updates for github.com/spf13/cast.
[INFO] Fetching updates for github.com/spf13/jwalterweatherman.
[INFO] Downloading dependencies. Please wait...

@bruceauyeung

This comment has been minimized.

Copy link
Author

commented May 31, 2016

@oleksandr-minakov thanks for your reply.
when you ran that command, do you have a empty 'glide.yaml' file ?
i have configured git to use a proxy

git config --global -l
http.proxy=http://proxy.of.ourcompany:80
http.sslverify=false
https.proxy=http://proxy.of.ourcompany:80

and i ran the command behind our company proxy. did glide get use proxy settings to detect vcs type?

@mattfarina

This comment has been minimized.

Copy link
Member

commented Jun 1, 2016

@redhatlinux10 Can you try this again? A couple days ago gopkg.in was having some issues.

@bruceauyeung

This comment has been minimized.

Copy link
Author

commented Jun 2, 2016

i tried and failed again.

glide get gopkg.in/yaml.v2
[INFO] Preparing to install 1 package.
[INFO] Importing gopkg.in/yaml.v2
[INFO] Downloading dependencies. Please wait...
[INFO] Fetching updates for gopkg.in/yaml.v2.
[WARN] Unable to checkout gopkg.in/yaml.v2
[ERROR] Update failed for gopkg.in/yaml.v2: Cannot detect VCS
[INFO] Resolving imports
[INFO] Downloading dependencies. Please wait...
[ERROR] Failed to set version on gopkg.in/yaml.v2 to : Cannot detect VCS
An Error has occurred

@mattfarina

This comment has been minimized.

Copy link
Member

commented Jun 2, 2016

Is https://gopkg.in blocked by the China firewall?

@franciscocpg

This comment has been minimized.

Copy link
Member

commented Jun 2, 2016

According to this site, no.

@franciscocpg

This comment has been minimized.

Copy link
Member

commented Jun 2, 2016

But golang.org is blocked. It has something to do with?

@mattfarina

This comment has been minimized.

Copy link
Member

commented Jun 3, 2016

According to that site github.com is blocked. That would be a problem.

@bruceauyeung

This comment has been minimized.

Copy link
Author

commented Jun 3, 2016

i was using a HK proxy, my git was using it, and my firefox can visit https://golang.org and https://github.com well with this HK proxy.

@HuKeping

This comment has been minimized.

Copy link

commented Aug 25, 2016

Have came cross the same issue and I'm quite certain that it was caused by the GFW

@atomi

This comment has been minimized.

Copy link

commented Sep 3, 2016

Same issue on rPi trying to build http://github.com/gogits/gogs

log

[INFO] --> Fetching github.com/shurcooL/sanitized_anchor_name.
[INFO] --> Fetching github.com/Unknwon/cae.
[INFO] --> Fetching github.com/Unknwon/com.
[INFO] --> Fetching github.com/Unknwon/i18n.
[INFO] --> Fetching github.com/Unknwon/paginater.
[INFO] --> Fetching golang.org/x/crypto.
[INFO] --> Fetching golang.org/x/net.
[INFO] --> Fetching golang.org/x/sys.
[INFO] --> Fetching golang.org/x/text.
[INFO] --> Fetching gopkg.in/alexcesaro/quotedprintable.v3.
[INFO] --> Fetching gopkg.in/asn1-ber.v1.
[INFO] --> Fetching gopkg.in/bufio.v1.
[INFO] --> Fetching gopkg.in/editorconfig/editorconfig-core-go.v1.
[INFO] --> Fetching gopkg.in/gomail.v2.
[WARN] Unable to checkout gopkg.in/alexcesaro/quotedprintable.v3
[ERROR] Update failed for gopkg.in/alexcesaro/quotedprintable.v3: Cannot detect VCS
[INFO] --> Fetching gopkg.in/ini.v1.
[WARN] Unable to checkout gopkg.in/asn1-ber.v1
[ERROR] Update failed for gopkg.in/asn1-ber.v1: Cannot detect VCS
[INFO] --> Fetching gopkg.in/ldap.v2.
[WARN] Unable to checkout gopkg.in/bufio.v1
[ERROR] Update failed for gopkg.in/bufio.v1: Cannot detect VCS
[INFO] --> Fetching gopkg.in/macaron.v1.
[WARN] Unable to checkout gopkg.in/editorconfig/editorconfig-core-go.v1
[ERROR] Update failed for gopkg.in/editorconfig/editorconfig-core-go.v1: Cannot detect VCS
[INFO] --> Fetching gopkg.in/redis.v2.
[WARN] Unable to checkout gopkg.in/gomail.v2
[ERROR] Update failed for gopkg.in/gomail.v2: Cannot detect VCS
[WARN] Unable to checkout gopkg.in/ini.v1
[ERROR] Update failed for gopkg.in/ini.v1: Cannot detect VCS
[WARN] Unable to checkout gopkg.in/ldap.v2
[ERROR] Update failed for gopkg.in/ldap.v2: Cannot detect VCS
[WARN] Unable to checkout gopkg.in/macaron.v1
[ERROR] Update failed for gopkg.in/macaron.v1: Cannot detect VCS
[WARN] Unable to checkout gopkg.in/redis.v2
[ERROR] Update failed for gopkg.in/redis.v2: Cannot detect VCS

Interestingly, it works for other gopkg.in libraries just not these.

@jmahowald

This comment has been minimized.

Copy link

commented Nov 8, 2016

any update on this? with 0.12.3 I get a slightly different error message that I'm pretty sure has the same underlying cause

[WARN] Unable to checkout gopkg.in/yaml.v2 [ERROR] Update failed for gopkg.in/yaml.v2: Unable to get repository [ERROR] Failed to checkout packages: Unable to get repository

@delphinus

This comment has been minimized.

Copy link

commented Nov 9, 2016

I've got the same error. What has been changed?

@kotamat

This comment has been minimized.

Copy link

commented Nov 10, 2016

I've got too.

@erutherford

This comment has been minimized.

Copy link

commented Nov 21, 2016

I was running into the same issue with the golang crypto, sys and net packages, but I was able to get around this by specifying the repo

- package: golang.org/x/sys
  repo: git@github.com:golang/sys.git
@mweibel

This comment has been minimized.

Copy link

commented Nov 22, 2016

I have the same issue:

» glide get gopkg.in/yaml.v2
[INFO]	Preparing to install 1 package.
[INFO]	Attempting to get package gopkg.in/yaml.v2
[INFO]	--> Gathering release information for gopkg.in/yaml.v2
[INFO]	--> Adding gopkg.in/yaml.v2 to your configuration
[INFO]	Downloading dependencies. Please wait...
[INFO]	--> Fetching gopkg.in/yaml.v2.
[WARN]	Unable to checkout gopkg.in/yaml.v2
[ERROR]	Update failed for gopkg.in/yaml.v2: Unable to get repository
[ERROR]	Failed to checkout packages: Unable to get repository

Will do the same as @erutherford, but I guess that should be fixed in another way.

@jmahowald

This comment has been minimized.

Copy link

commented Nov 23, 2016

So apparently I had long ago set to not always verify https with git. Obviously bad and stupid. But apparently the cause of this, at least for me.

git config --global http.sslVerify true fixed

From niemeyer/gopkg#47

@laiwei

This comment has been minimized.

Copy link

commented Feb 3, 2017

git config --global http.sslVerify true it works for me:(

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
You can’t perform that action at this time.